Read your help conversation
GET
/help-chat/conversations/{id}
const url = 'https://example.com/help-chat/conversations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'GET', headers: {cookie: '__Host-bottle.session_token=<__Host-bottle.session_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/help-chat/conversations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --cookie __Host-bottle.session_token=<__Host-bottle.session_token>Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “Responses”Conversation
Media typeapplication/json
object
id
required
string format: uuid
title
required
string
messages
required
Array<object>
object
id
required
string format: uuid
role
required
string
content
required
string
sources
required
Array<object>
object
id
required
string
title
required
string
url
required
string format: uri
action
One of:
object
type
required
string
draft
required
string
title
string
urgency
string
page
object
route
required
string
createdAt
required
string format: date-time
Example
{ "messages": [ { "role": "user", "action": { "type": "report_problem", "urgency": "stopping_work" } } ]}Sign in required
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Session and membership required
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Conversation not found
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}An answer is already running
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Chat limit reached
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Help chat unavailable
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}